AUTH_TELNETD(8)

NAME
auth_telnetd - SSO authentication agent for telnet

SYNOPSIS
auth_telnetd [-daemon <port>] [-fastdaemon <port>] [-as <tag>]

DESCRIPTION
The Firewall Toolkit SSO authentication agent for telnet provides authentication function for users connecting from signle-user hosts, enabling use of strong authentication with protocols that are not compatible with challenge/response authentication scenario. Once user logs in auth_telnetd "console", it is possible to selectively permit or deny further authentication actions originating from the same host and to issue reusable password which is valid only while console session is open. The console provides verbose log of authentication actions as well.

The telnet authentication agent (auth_telnetd) generally runs as a daemon (invoked from system startup script, p.e. /etc/rc.local) and listens for requests on the specified port. Whenever the system receives a telnet connection request on this port, the authentication agent checks its configuration information (in the netperm-table) and determines whether the initiating host has permission to use agent. If the host does not have permission, the agent logs the connection attempt and displays an error message.

The agent may also be invoked from tcp/ip "superserver" (inetd or xinetd). -daemon parameter should be omitted in this case.

If the host has permission, the agent authenticates the user and opens the authentication console session.

Agent protocol is described in authsrv(8) .

OPTIONS

  Command Line Options
The Telnet authentication agent recognizes the following command line options (whether started from the command line or from within /etc/rc.local):

-daemon port
    Indicates that the agent proxy runs as a daemon, and the port (name or number) on which the agent proxy listens. When -daemon option is used, configuration is being read from netperm-table for every new connection accepted by agent.

    port Specifies either a numeric id or symbolic name from the /etc/services file.

-fastdaemon port
    Indicates that the Telnet authentication agent runs as a daemon, and the port (name or number) on which the agent listens. When -fastdaemon option is used, configuration is being read from netperm-table once the daemon starts or if SIGHUP is received.

-as tag
    Changes default application tag for netperm-table from "auth_telnetd" to any given string.

  Configuration Options
The Telnet authentication agent reads configuration rules from the /usr/local/etc/netperm-table. It reads all rules using the auth_telnetd and * (wildcard) keywords. The agent reads the netperm-table from top to bottom. If there are multiple rules in the table that could apply for a particular attribute, the agent uses the first one that it finds. See netperm-table(5) for a more complete explanation of netperm-table syntax and precedence.

The agent recognizes the following attributes:

authserver host port
    Specifies the host running the authentication server (and the port on which it runs) that the proxies use for authenticating users.

    host
        Specifies an IP address or host name.

    port
        Specifies a service name or port number.

hosts host-pattern [host-pattern2...] [options]
    rules specify host and access permissions. Typically, a hosts rule will be in the form of:

    auth_telnetd: deny-hosts unknown

    auth_telnetd: hosts 192.33.112.* 192.94.214.* -keepalive

    There may be several host patterns following the "hosts" keyword, ending with the first optional parameter beginning with '-'. Optional parameters permit the selective enabling or disabling of logging information, etc. Sub-options are:

    -keepalive enables tcp/ip SO_KEEPALIVE option on client connection

    -dscp dscp-tag-name
    -dscp dscp-hex-value specifies diffserv codepoint (QoS/ToS mark) for client telnet session.

welcome-msgfile
    Specifies the name of the file the agent displays as a welcome banner upon successful connection to the console. If no file is specified, the agent generates a default message.

directory directory
    Specifies the directory that the Telnet authenticaion agent makes its root directory before providing service. This option is equivalent to the chroot option in previous versions.

groupid group
    Specifies the name of the group the agent uses when running.

    group
        Specifies either a name or numeric id from the /etc/group file.

userid user
    Specifies the user ID the agent uses when running.

    user
        Specifies either a name or numeric id from the /etc/passwd file. This option is equivalent to the -user command in previous versions.

  Console Commands
There are several commands available while authentication console is running:

help
    Displays a list of valid commands.

?   Alias to "help".

quit
    Closes the authentication console session.

exit
    Alias to "quit".

auth keepalive|ask [password]
    Sets the authentication mode.

    keepalive
        means once authentication request is received by authsrv and passed to the agent, the agent should issue "keepalive" check to telnet client (performed via control sequence to request cursor position). After (if) the request succeeds, the authentication is granted.

    ask means once authentication request is received by authsrv and passed to the agent, the agent should initate explicit confirmation dialog with console user.

    password
        means a reusable password should be issued wich will be treated by authsrv as valid password for the authenticated user while colsole session is active.

history
    Displays authentication requests history.

FILES

/etc/rc.local
    Command script that controls automatic reboot, and includes startup information for the Telnet authenticaion agent.

/usr/local/etc/netperm-table
    The network permissions file contains configuration information for the Firewall Toolkit, including the Telnet authentication agent.

BUGS
Report bugs to arkenoi@gmail.com or fwtk-users@buoy.com mailing list. Include a complete example, explaining what you expected to happen and what actually happened. Be sure to indicate the type of system (operating system, hardware, etc.) you are using, as well as the version of the Telnet authentication agent.

AUTHOR
Alexei Kravchuk.

SEE ALSO
netperm-table(5), rc(8), authsrv(8), netacl(8)